
Redmine - Defect #19410

Export to PDF problem while exporting Arabic text to pdf

2015-03-18 03:50 - vijay krishna

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.2

Description

We have a problem in exporting arabic text in issues list to pdf report using redmine version 2.5.1.

We upgraded to version 2.6.2 including rbpdf 1.18.3 and "DejaVuSans" font Arabic locale.

Still we are facing the same issue.

History

#1 - 2015-03-18 05:08 - Toshi MARUYAMA

Please give us examples.

#2 - 2015-03-18 11:39 - Jun NAITOH

vijay krishna wrote:

We upgraded to version 2.6.2 including rbpdf 1.18.3 and "DejaVuSans" font Arabic locale.

 rbpdf 1.18.3 has problem on Arabic text.

please use rbpdf 1.18.5 or later.

#3 - 2015-03-18 15:25 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2015-03-18 15:32 - Toshi MARUYAMA

- Affected version changed from 2.5.1 to 2.6.2

#5 - 2015-03-18 15:34 - Toshi MARUYAMA

Do you really use 2.6.2?

2.6.2 requires rbpdf 1.18.5.

source:tags/2.6.2/Gemfile#L10

#6 - 2015-03-20 06:58 - vijay krishna

- File RedmineArabicCharacterExportIssue.docx added

i have attached screenshots of pdf report and gem file for your reference. Please let me know if you need any other info.

#7 - 2015-03-20 07:56 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

You need to change your locale to Arabic on user preference.

If you want to use DejaVuSans font on English locale, you need to change this line.

source:tags/2.6.3/config/locales/en.yml#L144

#8 - 2015-03-30 09:25 - vijay krishna

- Status changed from Closed to Reopened

Thanks. How can we fix this in export to excel in csv format.
https://www.redmine.org/versions/89
https://www.redmine.org/versions/89
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.6.2/Gemfile#L10
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.6.3/config/locales/en.yml#L144


#9 - 2015-03-30 09:54 - Toshi MARUYAMA

- Status changed from Reopened to Closed

vijay krishna wrote:

Thanks. How can we fix this in export to excel in csv format.

 #16040.

#10 - 2015-03-30 10:28 - vijay krishna

- Status changed from Closed to Reopened

i have changed the "general_csv_encoding: UTF-8" in en.yml config file. still issue not resolved. please help on this.

general_lang_name: 'English'

  general_csv_separator: ','

  general_csv_decimal_separator: '.'

  general_csv_encoding: UTF-8

  general_pdf_fontname: DejaVuSans

  general_first_day_of_week: '7'

#11 - 2015-03-30 10:52 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Do not post to unrelated issue.

Files

RedmineArabicCharacterExportIssue.docx 278 KB 2015-03-20 vijay krishna
